Name:           python-reretry
Version:        0.11.8
Release:    1%{?dist}
Summary:        Easy to use retry decorator

License:        Apache-2.0
URL:            https://github.com/leshchenko1979/reretry
Source0:         %{url}/archive/%{version}/reretry-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(decorator)

BuildRequires:  python3dist(pytest)

%global common_description %{expand:
An easy to use retry decorator.

This package is a fork from the retry package, but with some of added
community-sourced features.

Features

New features in reretry:

  • Log traceback of an error that lead to a failed attempt.
  • Call a custom callback after each failed attempt.
  • Can be used with async functions.

From original retry:

  • Retry on specific exceptions.
  • Set a maximum number of retries.
  • Set a delay between retries.
  • Set a maximum delay between retries.
  • Set backoff and jitter parameters.
  • Use a custom logger.
  • No external dependencies (stdlib only).
  • (Optionally) Preserve function signatures (pip install decorator).}

%description %{common_description}


%package -n python3-reretry
Summary:        %{summary}

Recommends:     python3dist(decorator)

%description -n python3-reretry %{common_description}


%prep
%autosetup -n reretry-%{version}


%generate_buildrequires
%pyproject_buildrequires tests/test-requirements.txt


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files reretry


%check
%pytest


%files -n python3-reretry -f %{pyproject_files}
%doc README.md


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.8-1
- initial build
